=== debian/changelog ===
bfm (0.6.4-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build with -std=gnu17 to workaround FTBFS with GCC 15
    in GKrellM headers. (Closes: #1114062)

 -- Adrian Bunk <bunk@debian.org>  Sat, 04 Oct 2025 21:14:55 +0300

bfm (0.6.4-7) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * Maintain package in Debian team on Salsa
  * Fix watch file
  * d/rules: Short dh
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Trim trailing whitespace.
  * Build with -Wno-incompatible-pointer-types (Closes: #1096363)
  * Remove unneeded d/dirs
  * d/copyright: DEP5

  [ Helmut Grohne ]
  * Fix FTCBFS: (Closes: #923274)
    + cross.patch: Make pkg-config substitutable.
    + Let dh_auto_build pass cross tools to make.
    + Defer all stripping to dh_strip.

 -- Andreas Tille <tille@debian.org>  Thu, 13 Mar 2025 05:40:31 +0100

bfm (0.6.4-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965437)

 -- Adrian Bunk <bunk@debian.org>  Tue, 04 Jan 2022 17:30:21 +0200

bfm (0.6.4-6) unstable; urgency=low

  * Switched the source format from 1.0 to 3.0 (quilt)
  * Updated the homepage. (Closes: #738809).
  * Updated Standards-Version: 3.9.5

 -- Mika Matsuzaki <mika@yukidoke.org>  Sun, 18 May 2014 18:33:55 -0700

bfm (0.6.4-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Specifically link libm. (Closes: #713602).
  * Fix ordering of libraries. (Closes: #616727).
    + Thanks to Dave Walker for the fix.

 -- Barry deFreese <bdefreese@debian.org>  Sun, 07 Jul 2013 04:02:09 -0400

bfm (0.6.4-5) unstable; urgency=low

  * Removed extraneous -Wl flag that cause FTBFS with GCC 4.7
    (Closes: #667112).
  * Updated Standards-Version: 3.9.3

 -- Mika Matsuzaki <mika@yukidoke.org>  Tue, 03 Apr 2012 23:56:02 -0400

bfm (0.6.4-4) unstable; urgency=low

  * Fixed nostrip build option. (Closes: #436580)
  * Fixed watch. (Closes: #450079)
  * Fixed menu.
  * Fixed FTBFS bug with binutils-gold. (Closes: #553959)
  * Fixed black background in WindowMaker. (Closes: 555923)
  * Updated to Standards-Version: 3.9.1
  * Removed the deprecated pseudo header for Homepage and turned it into a
    regular debian/control field (Closes:#615303, #615318).

 -- Mika Matsuzaki <mika@yukidoke.org>  Sat, 26 Feb 2011 20:44:58 -0500

bfm (0.6.4-3) unstable; urgency=low

  * New maintainer.

 -- Mika Matsuzaki <mika@yukidoke.org>  Mon, 26 Feb 2007 01:12:17 -0500

bfm (0.6.4-2) unstable; urgency=low

  * Updated to Standards-Version: 3.6.2.
  * Build-Depends on debhelper >=5 and updated debian/compat.
  * Updated FSF address in debian/copyright file.

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Mon, 27 Mar 2006 17:05:41 -0300

bfm (0.6.4-1) unstable; urgency=low

  * New upstream release. (closes: #210313)
  * New maintainer. (closes: #325047)
  * Added debian/watch file.
  * Updated man file. (closes: #241181)

 -- Jose Carlos Medeiros <debian@psabs.com.br>  Thu, 29 Sep 2005 19:50:47 -0300

bfm (0.6.3-3) unstable; urgency=low

  * changed Maintainer to QA and orphaned the package

 -- Martin Wuertele <maxx@debian.org>  Tue, 12 Jul 2005 13:51:57 +0300

bfm (0.6.3-2) unstable; urgency=low

  * Adopt bfm (closes: #253796), comaintaining with maxx@d.o.
  * Move setting hints a bit down, as suggested in wmfire's
    bug report #250937 (closes: #251507).
  * Restore default of using eth0 with 'fish show network traffic'.
    (closes: #241284).  One of the recent versions changed that to
    ppp0!
  * Allow an optional value for -n to specify the network interface.
    (closes: #159782).

 -- Peter Palfrader <weasel@debian.org>  Tue, 13 Jul 2004 06:16:10 +0200

bfm (0.6.3-1) unstable; urgency=low

  * New upstream release, new upstream maintainer.
    Thanks to James Rowe for taking on development.
    Thanks to Huw Giddens for his unofficial packages in the 0.6.x series.
    - Removed build-depends on libgtk1.2-dev.
    - Updated copyright.
    - Updated package descriptions.
    - Removed man page from debian/ directory as it's now in upstream.
    - Install new Xdefaults file into examples.
  * Updated rules file with some shiny new shines.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 24 Jan 2004 12:40:18 +1100

bfm (0.5.1-7) unstable; urgency=low

  * Applied patch from Huw Giddens to finally fix the memory usage routines
    for 2.6 kernels that still works for 2.4 kernels.  Thanks Huw.
    (Closes: #175140)

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 27 Oct 2003 19:07:11 +1100

bfm (0.5.1-6) unstable; urgency=low

  * The "stirring words from the DPL" release.
  * Added -fPIC to gkrellm2 target.  Fixes FTBFS on hppa and others.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 23 Jan 2003 17:33:56 +0800

bfm (0.5.1-5) unstable; urgency=low

  * The "promised I'd fix bugs while at LCA" release.
  * Recompiled against gkrellm 2 now that gkrellm 1 has been removed from
    the archive.  (Closes: #159645)
    Patch thanks to Sjord Simons.
  * Fixed installation path of gkrellm plugin.

 -- Jamie Wilkinson <jaq@debian.org>  Thu, 23 Jan 2003 13:02:17 +0800

bfm (0.5.1-4) unstable; urgency=low

  * Bumped standards version to 3.5.8.0.
  * Set DH_COMPAT to 4.

 -- Jamie Wilkinson <jaq@debian.org>  Sat, 30 Nov 2002 12:23:53 +1100

bfm (0.5.1-3) unstable; urgency=low

  * Applied gkrellm2 patch from Sjoerd Simons <sjoerd@luon.net>
    (Closes: #159645)
  * Moved example Xdefaults file from docs to examples.
  * Fixed manpage section.

 -- Jamie Wilkinson <jaq@debian.org>  Fri,  6 Sep 2002 18:54:32 +1000

bfm (0.5.1-2) unstable; urgency=low

  * Added -fPIC to the gkrellm plugin CFLAGS.
  * Added <string.h> to sys_linux.c.

 -- Jamie Wilkinson <jaq@debian.org>  Mon, 26 Aug 2002 18:58:21 +1000

bfm (0.5.1-1) unstable; urgency=low


