=== debian/control ===
Source: bfm
Section: x11
Priority: optional
Maintainer: Mika Matsuzaki <mika@yukidoke.org>
Uploaders: Ola Lundqvist <opal@debian.org>
Build-Depends: debhelper-compat (= 13), gkrellm, libgtk2.0-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/bfm
Vcs-Git: https://salsa.debian.org/debian/bfm.git
Homepage: https://github.com/JNRowe/bfm

Package: bubblefishymon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system load dockapp with a duck
 A load monitor dockapp, descended from wmfishtime and bubblemon.
 Features include fish representing network traffic, bubbles representing
 CPU usage, and a duck representing a duck.

Package: gkrellm-bfm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: system load plugin for gkrellm with a duck
 A load monitor plugin for gkrellm, descended from wmfishtime and bubblemon.
 Features include fish representing network traffic, bubbles representing
 CPU usage, and a duck representing a duck.
