=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CFLAGS_MAINT_APPEND = -Wno-incompatible-pointer-types

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- PREFIX=/usr STRIP=true bubblefishymon
	dh_auto_build -- PREFIX=/usr STRIP=true gkrellm
	touch build-stamp

override_dh_auto_install:
	$(MAKE) PREFIX=/usr install DESTDIR=$(CURDIR)/debian/bubblefishymon
	cp gkrellm-bfm.so $(CURDIR)/debian/gkrellm-bfm/usr/lib/gkrellm2/plugins


override_dh_installchangelogs-arch:
	dh_installchangelogs -a ChangeLog
